@echo off

%~d0
cd %~p0

SET LOG_FILE=~eplgOutlookxInst.log
echo. >> %LOG_FILE%
echo START: %0 >> %LOG_FILE%

if not exist %TEMP%\~eplgOutlook.log goto NoLogs

call :CheckOldLog ~eplgOutlook
call :CheckOldLog ~eplgOutlookEmon
call :CheckOldLog ~eplgOutlookSmon

if exist %TEMP%\~eplgOutlook.log move %TEMP%\~eplgOutlook.log ~eplgOutlook.log 2>&1 | tee -a %LOG_FILE%
if exist %TEMP%\~eplgOutlookEmon.log move %TEMP%\~eplgOutlookEmon.log ~eplgOutlookEmon.log 2>&1 | tee -a %LOG_FILE%
if exist %TEMP%\~eplgOutlookSmon.log move %TEMP%\~eplgOutlookSmon.log ~eplgOutlookSmon.log 2>&1 | tee -a %LOG_FILE%

if not exist ~eplgOutlook.log goto PrintError

echo *** OK *** | tee -a %LOG_FILE%
goto End

:PrintError
echo *** ERROR *** | tee -a %LOG_FILE%
goto End

:NoLogs
echo *** ERROR: log file not found! *** | tee -a %LOG_FILE%
goto End

:CheckOldLog
if not exist %1.log goto :EOF
if not exist %1.old.log copy nul: %1.old.log
copy %1.old.log + %1.log %1.old.log
del %1.log
goto :EOF

:End

pause
