@echo off

%~d0
cd %~p0

SET LOG_FILE=~eplgOutlookxInst.log
echo. >> %LOG_FILE%
echo START: %0 >> %LOG_FILE%

For /f "tokens=1,2 delims==" %%G in ('"%~dp0\GetInfo" 7 ESETInstallDir') Do (set _ESETInstallDir=%%H)

if exist "%_ESETInstallDir%x86\" goto _64
if exist "%_ESETInstallDir%" goto _32

echo *** EAV/ESS not found! *** | tee -a %LOG_FILE%
goto End


:_64
SET ESET_DIR32=%_ESETInstallDir%x86
SET ESET_DIR64=%_ESETInstallDir%
goto InstCheck
:_32
SET ESET_DIR32=%_ESETInstallDir%
SET ESET_DIR64=
goto InstCheck


:InstCheck
if not "%ESET_DIR64%"=="" echo ESET_DIR64=%ESET_DIR64% | tee -a %LOG_FILE%
echo ESET_DIR32=%ESET_DIR32% | tee -a %LOG_FILE%

if exist "%ESET_DIR32%\~original-eplgOutlook.dll" goto Uninstall
if exist "%ESET_DIR32%\~original-eplgOutlookEmon.dll" goto Uninstall
if exist "%ESET_DIR32%\~original-eplgOutlookSmon.dll" goto Uninstall

if "%ESET_DIR64%"=="" goto SkipX64_a
if exist "%ESET_DIR64%\~original-eplgOutlook.dll" goto Uninstall
if exist "%ESET_DIR64%\~original-eplgOutlookEmon.dll" goto Uninstall
if exist "%ESET_DIR64%\~original-eplgOutlookSmon.dll" goto Uninstall
:SkipX64_a

echo *** Not installed! *** | tee -a %LOG_FILE%

goto End


:Uninstall

set SMON32=0
if exist "%ESET_DIR32%\eplgOutlookSmon.dll" set SMON32=1
call :RenameBack "%ESET_DIR32%" eplgOutlook
call :RenameBack "%ESET_DIR32%" eplgOutlookEmon
if %SMON32%==1 call :RenameBack "%ESET_DIR32%" eplgOutlookSmon

if "%ESET_DIR64%"=="" goto SkipX64_b
set SMON64=0
if exist "%ESET_DIR64%\eplgOutlookSmon.dll" set SMON64=1
call :RenameBack "%ESET_DIR64%" eplgOutlook
call :RenameBack "%ESET_DIR64%" eplgOutlookEmon
if %SMON64%==1 call :RenameBack "%ESET_DIR64%" eplgOutlookSmon
:SkipX64_b

:PrintResult

if not exist "%ESET_DIR32%\eplgOutlook.dll" goto PrintError
if exist "%ESET_DIR32%\~original-eplgOutlook.dll" goto PrintError

if not exist "%ESET_DIR32%\eplgOutlookEmon.dll" goto PrintError
if exist "%ESET_DIR32%\~original-eplgOutlookEmon.dll" goto PrintError

if %SMON32%==0 goto SkipSmon32
if not exist "%ESET_DIR32%\eplgOutlookSmon.dll" goto PrintError
if exist "%ESET_DIR32%\~original-eplgOutlookSmon.dll" goto PrintError
:SkipSmon32

if "%ESET_DIR64%"=="" goto SkipX64_c
if not exist "%ESET_DIR64%\eplgOutlook.dll" goto PrintError
if exist "%ESET_DIR64%\~original-eplgOutlook.dll" goto PrintError

if not exist "%ESET_DIR64%\eplgOutlookEmon.dll" goto PrintError
if exist "%ESET_DIR64%\~original-eplgOutlookEmon.dll" goto PrintError

if %SMON64%==0 goto SkipSmon64
if not exist "%ESET_DIR64%\eplgOutlookSmon.dll" goto PrintError
if exist "%ESET_DIR64%\~original-eplgOutlookSmon.dll" goto PrintError
:SkipSmon64
:SkipX64_c

echo *** Uninstalled OK *** | tee -a %LOG_FILE%
goto End

:PrintError
echo *** ERROR *** | tee -a %LOG_FILE%
pause
exit 999


:RenameBack
@setlocal

set PATH_WITHOUT_QUOTES=%~1
if not exist "%PATH_WITHOUT_QUOTES%\~original-%2.dll" goto SkipRenameBack

echo Renaming %PATH_WITHOUT_QUOTES%\~original-%2.dll | tee -a %LOG_FILE%

if exist "%PATH_WITHOUT_QUOTES%\~changed-%2.dll" del "%PATH_WITHOUT_QUOTES%\~changed-%2.dll" 2>&1 | tee -a %LOG_FILE%
ren "%PATH_WITHOUT_QUOTES%\%2.dll" ~changed-%2.dll 2>&1 | tee -a %LOG_FILE%
if not exist "%PATH_WITHOUT_QUOTES%\%2.dll" goto RenameBack_a
echo Error: Cannot rename "%PATH_WITHOUT_QUOTES%\%2.dll" to ~changed-%2.dll | tee -a %LOG_FILE%
goto PrintError

:RenameBack_a
ren "%PATH_WITHOUT_QUOTES%\~original-%2.dll" %2.dll 2>&1 | tee -a %LOG_FILE%
if not exist "%PATH_WITHOUT_QUOTES%\~original-%2.dll" goto RenameBack_b
echo Error: Cannot rename "%PATH_WITHOUT_QUOTES%\~original-%2.dll" to %2.dll | tee -a %LOG_FILE%
goto PrintError

:RenameBack_b
del "%PATH_WITHOUT_QUOTES%\~changed-%2.dll" 2>&1 | tee -a %LOG_FILE%
if not exist "%PATH_WITHOUT_QUOTES%\~changed-%2.dll" goto RenameBack_c
echo Error: Cannot delete "%PATH_WITHOUT_QUOTES%\~changed-%2.dll" | tee -a %LOG_FILE%
goto PrintError

:RenameBack_c
:SkipRenameBack
@endlocal
@goto :eof

:End

pause
